# channelSetting

Represents settings for a single notification channel.

### Examples

```graphql
type ChannelSetting {
  enabled: Boolean!
  recipients: RecipientObject
  defaultEmailRoleNames: [String!]
  channels: [String!]
  channelList: [Channel!]
  unsubscribed: [RecipientMember!]
}
```

### Fields

| Field                                                                                                              | Description                     | Supported fields                                                                                                                                                                                                                                                               |
| ------------------------------------------------------------------------------------------------------------------ | ------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| enabled `Boolean!`                                                                                                 | Whether this channel is enabled |                                                                                                                                                                                                                                                                                |
| recipients [`RecipientObject`](/api-documentation/api-reference/api--audit/types/objects/recipient-object.md)      | Recipient configuration         | <p>users <a href="/pages/DxhaSCVszUJOHPIBYlWz"><code>\[RecipientMember!]!</code></a><br>roles <code>\[String!]!</code></p>                                                                                                                                                     |
| defaultEmailRoleNames `[String!]`                                                                                  | Default email role names        |                                                                                                                                                                                                                                                                                |
| channels `[String!]`                                                                                               | Notification channel ids        |                                                                                                                                                                                                                                                                                |
| channelList [`[Channel!]`](/api-documentation/api-reference/api--audit/types/objects/channel.md)                   | List of channel objects         | <p>id <code>String!</code><br>name <code>String</code><br>profile <a href="/pages/OcE4m3QYFiB1M0aVzaHK"><code>UserProfile</code></a><br>is\_private <code>Boolean</code><br>display <code>String</code><br>description <code>String</code><br>isAdded <code>Boolean</code></p> |
| unsubscribed [`[RecipientMember!]`](/api-documentation/api-reference/api--audit/types/objects/recipient-member.md) | Unsubscribed members            | <p>user\_id <code>String!</code><br>name <code>String!</code><br>email <code>String!</code></p>                                                                                                                                                                                |

### References

#### Fields with this object:

* [{} NotificationChannelSetting.email](/api-documentation/api-reference/api--audit/types/objects/notification-channel-setting.md)
* [{} NotificationChannelSetting.slack](/api-documentation/api-reference/api--audit/types/objects/notification-channel-setting.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--audit/types/objects/channel-setting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
